Loading...
Searching...
No Matches
XrdOucString.hh File Reference
`#include "XrdSys/XrdSysHeaders.hh"`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstdarg>`
Include dependency graph for XrdOucString.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdOucString

## Macros

#define | STR_NPOS -1

## Functions

XrdOucString const | operator+ (const char *s1, const XrdOucString s2)
XrdOucString const | operator+ (const char c, const XrdOucString s)
XrdOucString const | operator+ (const int i, const XrdOucString s)
std::ostream & | operator<< (std::ostream &, const XrdOucString s)

## Macro Definition Documentation

## STR_NPOS

#define STR_NPOS -1

Definition at line 250 of file XrdOucString.hh.

Referenced by XrdSecProtocolgsi::Authenticate(), XrdOucString::find(), XrdOucString::find(), FindMatchingCondition(), FindMatchingCondition(), XrdHttpReq::ProcessHTTPReq(), XrdOucString::rfind(), XrdOucString::rfind(), XrdVomsFun::VOMSInit(), XrdSutExpand(), and XrdSutResolve().

## Function Documentation

## operator+() [1/3]

XrdOucString const operator+ | ( | const char * | s1,
|  | const XrdOucString | s2 )

Definition at line 1176 of file XrdOucString.cc.

{
// Binary operator+
XrdOucString res(s1,s2.length()+strlen(s1));
res.insert(s2);
return res;
}
XrdOucString
Definition XrdOucString.hh:252
XrdOucString::length
int length() const
Definition XrdOucString.hh:279

References XrdOucString::insert(), and XrdOucString::length().

Here is the call graph for this function:

## operator+() [2/3]

XrdOucString const operator+ | ( | const char | c,
|  | const XrdOucString | s )

Definition at line 1185 of file XrdOucString.cc.

{
// Binary operator+
XrdOucString res(c,s.length()+1);
res.insert(s);
return res;
}

References XrdOucString::insert(), and XrdOucString::length().

Here is the call graph for this function:

## operator+() [3/3]

XrdOucString const operator+ | ( | const int | i,
|  | const XrdOucString | s )

Definition at line 1194 of file XrdOucString.cc.

{
// Binary operator+
XrdOucString res(s.length()+kMAXINT64LEN);
res.insert(i);
res.insert(s);
return res;
}
kMAXINT64LEN
#define kMAXINT64LEN
Definition XrdOucString.cc:41

References XrdOucString::insert(), kMAXINT64LEN, and XrdOucString::length().

Here is the call graph for this function:

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const XrdOucString | s )

Definition at line 1164 of file XrdOucString.cc.

{
// Operator << is useful to print a string into a stream
if (s.c_str())
os << s.c_str();
else
os << "";
return os;
}
XrdOucString::c_str
const char * c_str() const
Definition XrdOucString.hh:278

References XrdOucString::c_str().

Here is the call graph for this function: